This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 913043 - CVE-2013-0305 CVE-2013-0306 Django various flaws [epel-5]
CVE-2013-0305 CVE-2013-0306 Django various flaws [epel-5]
Status: CLOSED CANTFIX
Product: Fedora EPEL
Classification: Fedora
Component: Django (Show other bugs)
el5
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Milner
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: 913037 913039 CVE-2013-0305 CVE-2013-0306
  Show dependency treegraph
 
Reported: 2013-02-20 04:32 EST by Kurt Seifried
Modified: 2013-03-22 03:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 09:25:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-02-20 04:32:46 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for Django: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2013-02-20 04:32:53 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=913037,913043
Comment 2 Kurt Seifried 2013-02-20 04:33:11 EST
Adding parent bug 913039.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=913043,913037,913039
Comment 3 Kurt Seifried 2013-02-20 04:33:33 EST
Adding parent bug CVE-2013-0305.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=913043,913037,913039,913041
Comment 4 Kurt Seifried 2013-02-20 04:33:53 EST
Adding parent bug CVE-2013-0306.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=913043,913037,913039,913041,913042
Comment 5 Matthias Runge 2013-03-20 09:25:24 EDT
Django on EPEL5 is Django-1.1, it doesn't receive any updates any more since Django-1.3 was released, and that has been a loooong time.
Comment 6 Tomas Hoger 2013-03-20 11:23:27 EDT
Can you make sure it's properly obsoleted and removed form EPEL if it's no longer updated with security fixes?
Comment 7 Matthias Runge 2013-03-20 11:52:05 EDT
Never Django versions require never python versions, e.g. Django 1.5 (current version) requires python2.7 or python 3. 

Of course I can deprecate and retire from EPEL5, but what does this help?
Comment 8 Michel Alexandre Salim 2013-03-20 23:10:21 EDT
We don't want to ship packages that contain security vulnerabilities, I suppose, especially when alternatives exist (people who really want to use Django on EL5 could install Django 1.4.x on top of python26-virtualenv - though when Django 1.4.x also goes out of support they'd be in a pickle)
Comment 9 Tomas Hoger 2013-03-21 15:00:28 EDT
As explained by Michel, keeping known vulnerable and known unsupported package around is not ideal.  Its removal can also prevent similar future bugs.
Comment 10 Matthias Runge 2013-03-22 03:07:45 EDT
I absolutely agree, I've sent a mail about retiring Django-1.1 to epel-devel list:
https://www.redhat.com/archives/epel-devel-list/2013-March/msg00036.html

Note You need to log in before you can comment on or make changes to this bug.